#include "beatset.h"

#include <nlohmann/json_fwd.hpp>

using json = nlohmann::json;

namespace Beatsaber {

class BeatSetImpl : public BeatSet {
protected:

	BeatmapCharacteristic::BeatmapCharacteristic characteristic;

public:
	BeatSetImpl(const json& j);
	BeatSetImpl(const BeatSetImpl& c) = default;
	BeatSetImpl() = default;
	virtual ~BeatSetImpl();

	virtual BeatmapCharacteristic::BeatmapCharacteristic getCharacteristic() const;
};

}